Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 586576 - please document 'ignoredisk --only-use'
please document 'ignoredisk --only-use'
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
:
Depends On:
Blocks: 600484
  Show dependency treegraph
 
Reported: 2010-04-27 17:55 EDT by Jeff Bastian
Modified: 2013-07-10 20:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-11.1.2.210-1
Doc Type: Bug Fix
Doc Text:
Previously, the iscsi kickstart command was not documented in the kickstart-docs.txt file beyond noting its existence and its options, and the iscsiname command and ignoredisk --onlyuse option were not documented at all. Users had to consult documentation outside anaconda itself to learn how to use these commands and options. In this release, the iscsiname command and ignoredisk --onlyuse option are now documented, and the description of the iscsi command is expanded, reducing the requirement for users to resort to other documentation to use these commands and options. (BZ#525136, BZ#586576)
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:55:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0030 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2011-01-12 10:59:28 EST

  None (edit)
Description Jeff Bastian 2010-04-27 17:55:44 EDT
Description of problem:
A new --only-use option was added to the kickstart ignoredisk command for bug 318351, however, this new option is not documented in kickstart-docs.txt

Please document the --only-use option in
/usr/share/doc/anaconda-*/kickstart-docs.txt

Version-Release number of selected component (if applicable):
anaconda-11.1.2.209-1.x86_64
Comment 1 Jeff Bastian 2010-04-27 18:01:09 EDT
See bug 586577 for corresponding documentation for the online Installation Guide.
Comment 4 Alexander Todorov 2010-10-01 09:47:36 EDT
# rpm -q anaconda
anaconda-11.1.2.216-1

# grep only-use /usr/share/doc/anaconda-11.1.2.216/kickstart-docs.txt 
       ignoredisk --only-use=[disk1,disk2,...]

The docs read:
       ignoredisk --only-use=[disk1,disk2,...]

            Specifies the opposite - only disks listed here will be used
            during installation.

Moving to VERIFIED.
Comment 5 Ruediger Landmann 2011-01-12 03:01:33 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the iscsi kickstart command was not documented in the 
kickstart-docs.txt file beyond noting its existence and its options, and
the iscsiname command and ignoredisk --onlyuse option were not documented 
at all. Users had to consult documentation outside anaconda itself to 
learn how to use these commands and options. In this release, the 
iscsiname command and ignoredisk --onlyuse option are now documented, and 
the description of the iscsi command is expanded, reducing the 
requirement for users to resort to other documentation to use these 
commands and options. (BZ#525136, BZ#586576)
Comment 7 errata-xmlrpc 2011-01-13 16:55:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0030.html

Note You need to log in before you can comment on or make changes to this bug.